//
//  NodeMediaEventHandler.h
//  Pods
//
//  Created by seven on 2021/2/4.
//

#import <Foundation/Foundation.h>
#import <Flutter/Flutter.h>
#import "NodeMediaClient.h"


NS_ASSUME_NONNULL_BEGIN

@protocol NodeMediaEventDelegate

-(void) onEventCallback:(id _Nonnull)sender event:(int)event msg:(NSString* _Nonnull)msg;

@end

@interface NodeMediaEventHandler : NSObject<NodePublisherDelegate, NodePlayerDelegate>

 + (instancetype)sharedInstance;

 @property (nonatomic, strong, nullable) FlutterEventSink eventSink;

@end

NS_ASSUME_NONNULL_END
