//
//  NodeMediaEventHandler.m
//  Pods
//
//  Created by seven on 2021/2/4.
//

#import "NodeMediaEventHandler.h"

@implementation NodeMediaEventHandler

+ (instancetype)sharedInstance {
    static NodeMediaEventHandler *instance = nil;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        instance = [[NodeMediaEventHandler alloc] init];
    });
    return instance;
}

- (void)onEventCallback:(id)sender event:(int)event msg:(NSString *)msg{
    NSLog(@"onEventCallback:%d %@",event,msg);
    FlutterEventSink sink = _eventSink;
    dispatch_async(dispatch_get_main_queue(), ^{
        sink(@{
                @"method": @"onEventCallback",
                @"event": @(event),
                @"msg": msg,
        });
    });
}

@end
