//
//  NodeMediaPlatformView.m
//  Pods
//
//  Created by seven on 2021/2/3.
//

#import "NodeMediaPlatformView.h"

@interface NodeMediaPlatformView()

@property (nonatomic, strong) UIView *uiView;
@property (nonatomic, assign) int64_t viewID;

@end


@implementation NodeMediaPlatformView

- (instancetype)initWithRect:(CGRect)rect viewID:(int64_t)viewID {
    self = [self init];
    if(self){
        _uiView = [[UIView alloc] initWithFrame: rect];
        _uiView.backgroundColor = [UIColor blackColor];
        _viewID = viewID;
    }
    
    NSLog(@"[NodeMediaPlatformView] [init] UIView:%p", self.uiView);
    
    return self;
}

- (UIView *)getUIView {
    return self.uiView;
}

- (void)dealloc {
    NSLog(@"[NodeMediaPlatformView] [dispose] UIView:%p", self.uiView);
}

#pragma mark - Flutter Platform View Delegate

- (UIView *)view{
    return self.uiView;
}

@end
