//
//  NodeMediaPlatformViewFactory.h
//  Pods
//
//  Created by seven on 2021/2/3.
//

#import <Foundation/Foundation.h>
#import <Flutter/FlutterPlatformViews.h>
#import "NodeMediaPlatformView.h"

NS_ASSUME_NONNULL_BEGIN

@interface NodeMediaPlatformViewFactory : NSObject<FlutterPlatformViewFactory>

+ (instancetype)sharedInstance;

/// Called when dart invoke `destroyPlatformView`
- (BOOL)destoryPlatformView: (NSNumber *)viewID;


- (nullable NodeMediaPlatformView *)getPlatformView:(NSNumber *)viewID;

@end

NS_ASSUME_NONNULL_END
