//
//  NodeMediaPublishEngine.h
//  node_media_client_plugin
//
//  Created by seven on 2021/2/4.
//

#import <Foundation/Foundation.h>
#import "NodeMediaClient.h"
#import "NodeMediaEventHandler.h"

NS_ASSUME_NONNULL_BEGIN

@interface NodeMediaPublishEngine : NSObject

+ (instancetype) createEngine:(NSString *)appSign eventHandler:(nullable id<NodePublisherDelegate>)eventHandler;

+ (instancetype) sharedEngine;

- (void) startPreview: (UIView *)preView;

- (void) startPublishingStream: (NSString *)outputUrl;

- (void) stopPublishingStream;

@end

NS_ASSUME_NONNULL_END
