//
//  NodeMediaEngine.h
//  node_media_client_plugin
//
//  Created by seven on 2021/2/4.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface NodeMediaEngine : NSObject

+ (instancetype) createEngineWithAppSing:(NSString *)appSign;

+ (instancetype) sharedEngine;

- (void) startPreview: (UIView *)preView;

- (void) startPublishingStream: (NSString *)outputUrl;

- (void) stopPublishingStream;

- (void) startPlayingStream: (UIView *)preView InputUrl:(NSString *)InputUrl;

- (void) stopPlayingStream;

@end

NS_ASSUME_NONNULL_END
